AbstractList
Date: 2016-06-24

java.util

## Class AbstractList

- java.lang.Object
- - java.util.AbstractCollection
  - - java.util.AbstractList

- All Implemented Interfaces:
    Collection, List
  Direct Known Subclasses:
    AbstractSequentialList, ArrayList, Vector

      public abstract class AbstractList
      extends AbstractCollection
      implements List

- - ### Field Summary

    Fields
    Modifier and Type | Field and Description
    --- | ---
    `protected int` | `modCount`

  - ### Constructor Summary

    Constructors
    Modifier | Constructor and Description
    --- | ---
    `protected` | `AbstractList()`

  - ### Method Summary

    Methods
    Modifier and Type | Method and Description
    --- | ---
    `void` | `add(int var0, Object var1)`
    `boolean` | `addAll(int var0, Collection var1)`
    `int` | `indexOf(Object var0)`
    `Iterator` | `iterator()`
    `int` | `lastIndexOf(Object var0)`
    `ListIterator` | `listIterator()`
    `ListIterator` | `listIterator(int var0)`
    `Object` | `remove(int var0)`
    `protected void` | `removeRange(int var0, int var1)`
    `Object` | `set(int var0, Object var1)`
    `List` | `subList(int var0, int var1)`

    - ### Methods inherited from class java.util.AbstractCollection

      `add, addAll, clear, contains, containsAll, isEmpty, remove, removeAll, retainAll, toArray, toArray`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

    - ### Methods inherited from interface java.util.List

      `equals, get, hashCode`

    - ### Methods inherited from interface java.util.Collection

      `add, addAll, clear, contains, containsAll, isEmpty, remove, removeAll, retainAll, size, toArray, toArray`

- - ### Field Detail

    - #### modCount

          protected int modCount

  - ### Constructor Detail

    - #### AbstractList

          protected AbstractList()

  - ### Method Detail

    - #### add

          public void add(int var0,
                 Object var1)

      Specified by:
        `add` in interface `List`

    - #### addAll

          public boolean addAll(int var0,
                       Collection var1)

      Specified by:
        `addAll` in interface `List`

    - #### indexOf

          public int indexOf(Object var0)

      Specified by:
        `indexOf` in interface `List`

    - #### iterator

          public Iterator iterator()

      Specified by:
        `iterator` in interface `Collection`

    - #### lastIndexOf

          public int lastIndexOf(Object var0)

      Specified by:
        `lastIndexOf` in interface `List`

    - #### listIterator

          public ListIterator listIterator()

      Specified by:
        `listIterator` in interface `List`

    - #### listIterator

          public ListIterator listIterator(int var0)

      Specified by:
        `listIterator` in interface `List`

    - #### remove

          public Object remove(int var0)

      Specified by:
        `remove` in interface `List`

    - #### removeRange

          protected void removeRange(int var0,
                         int var1)

    - #### set

          public Object set(int var0,
                   Object var1)

      Specified by:
        `set` in interface `List`

    - #### subList

          public List subList(int var0,
                     int var1)

      Specified by:
        `subList` in interface `List`